<template>
  <v-app>
    <v-navigation-drawer id="sideMenuPage" class="hidden-sm-and-up" v-model="sidebar" app>
      <v-list>
        <v-list-item exact router v-for="item in menuItems" :key="item.title" :to="item.path">
          <v-list-item-content>
            <v-list-item-title class="color" v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-toolbar id="toobarPage" height="76">
      <span class="hidden-sm-and-up">
        <v-app-bar-nav-icon @click="sidebar = !sidebar"></v-app-bar-nav-icon>
      </span>
      <v-spacer class="hidden-sm-and-up"></v-spacer>
      <v-toolbar-title class="icon-page">
        <a class="social-icon" href="/">
          <v-img width="86" src="https://factools.qa.maqe.com/assets/images/factools_logo.svg" />
        </a>
      </v-toolbar-title>
      <v-toolbar-items class="hidden-xs-only">
        <v-btn v-for="item in menuItems" :key="item.title" :to="item.path">{{ item.title }}</v-btn>
      </v-toolbar-items>
      <v-spacer></v-spacer>
    </v-toolbar>

    <v-content id="bodyPage">
      <v-container class="custom-container">
        <client-only>
          <nuxt />
        </client-only>
      </v-container>
    </v-content>

    <v-footer height="100" color="#263751">
      <v-col class="text-center white--text" cols="12"> 2020 — Mr.Kitsana Sappakitjarern </v-col>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      sidebar: false,
      menuItems: [
        { title: "หน้าหลัก", path: "/" },
        { title: "สินค้าของเรา", path: "/catalog" }
      ]
    };
  }
};
</script>

<style>
html {
  font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, "Helvetica Neue", Arial, sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
  overflow-x: hidden;
  overflow-y: auto;
}

*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
}
.v-btn__content {
  color: #22457b;
}
</style>
<style lang="scss" scoped>
#toobarPage {
  max-height: 76px;
  .icon-page {
    margin: 0 40px 0 26px;
  }
  .v-btn--contained {
    box-shadow: none;
    background-color: white !important;
  }
  .theme--light {
    color: #a2a2a2de;
  }
}
#sideMenuPage {
  .v-list {
    padding-top: 0px;
    padding-bottom: 8px;
  }
  .color {
    color: #22457b;
  }
}
#bodyPage {
  padding: 0 !important;
  background-color: #e5e7e659;
  .custom-container {
    min-height: calc(100vh - 176px) !important;
    max-width: 1300px;
    padding: 12px 1.25rem;
    justify-content: normal;
    align-items: normal;
    text-align: left;
  }
}
</style>
